Subject: Re: mv problem
From: Sylvain Petreolle <[email-masked]>
To: "Larry Hall \(RFK Partners, Inc\)" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Fri, 3 May 2002 08:16:57 +0200 (CEST)

> Hm, I don't see that here:
> 
> #mv abc Abc
> mv: cannot move `abc' to a subdirectory of itself,
> `Abc/abc'
> 
> What version of Cygwin and mv are you using?  What
> does the directory 
> structure of "abc" look like?
> 
> As you can see, you cannot rename file differing
> only by case.  This is a 
> Windowsism.  Sorry.  Complain to Bill if you don't
> like it! ;-)  You'll
> need to do this as a two step process (i.e. move
> 'abc' to a different name
> temporarily and then move it to 'Abc').  I can't say
> why you got the result
> you did however.
> 

Hi,
I'm using cygwin version 1.3.10 with all updated
packages.

mv --version reports : mv (fileutils) 4.1
(cygcheck reports exactly fileutils 4.1-1)
This is reproductible with every directory.

Steps I follow :
mkdir mydir
mv mydir MyDir (or Mydir, mydiR).

___________________________________________________________
Do You Yahoo!? -- Une adresse @yahoo.fr gratuite et en français !
Yahoo! Mail : http://fr.mail.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/